## org.apache.cassandra.db.filter
Class QueryFilter

    java.lang.Object
      org.apache.cassandra.db.filter.QueryFilter

Direct Known Subclasses:
  NamesQueryFilter, SliceQueryFilter

    public abstract class QueryFilter

extends java.lang.Object

Field Summary
`java.lang.String` `key`
`QueryPath` `path`

Constructor Summary
`protected` `QueryFilter(java.lang.String key, QueryPath path)`

Method Summary
`void` `collectCollatedColumns(ColumnFamily returnCF, java.util.Iterator<IColumn> collatedColumns, int gcBefore)`
`abstract void` `collectReducedColumns(IColumnContainer container, java.util.Iterator<IColumn> reducedColumns, int gcBefore)` collects columns from reducedColumns into returnCF.
`abstract SuperColumn` `filterSuperColumn(SuperColumn superColumn, int gcBefore)` subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.
`java.util.Comparator<IColumn>` `getColumnComparator(AbstractType comparator)`
`java.lang.String` `getColumnFamilyName()`
`ColumnIterator` `getMemColumnIterator(Memtable memtable, AbstractType comparator)`
`abstract ColumnIterator` `getMemColumnIterator(Memtable memtable, ColumnFamily cf, AbstractType comparator)` returns an iterator that returns columns from the given memtable matching the Filter criteria in sorted order.
`abstract ColumnIterator` `getSSTableColumnIterator(SSTableReader sstable)` returns an iterator that returns columns from the given SSTable matching the Filter criteria in sorted order.
`static boolean` `isRelevant(IColumn column, IColumnContainer container, int gcBefore)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    public final java.lang.String key

### path

    public final QueryPath path

Constructor Detail

### QueryFilter

    protected QueryFilter(java.lang.String key,
                          QueryPath path)

Method Detail

### getMemColumnIterator

    public abstract ColumnIterator getMemColumnIterator(Memtable memtable,
                                                        ColumnFamily cf,
                                                        AbstractType comparator)

  returns an iterator that returns columns from the given memtable matching the Filter criteria in sorted order.

### getMemColumnIterator

    public ColumnIterator getMemColumnIterator(Memtable memtable,
                                               AbstractType comparator)

### getSSTableColumnIterator

    public abstract ColumnIterator getSSTableColumnIterator(SSTableReader sstable)
                                                     throws java.io.IOException

  returns an iterator that returns columns from the given SSTable matching the Filter criteria in sorted order.

  Throws:
    `java.io.IOException`

### collectReducedColumns

    public abstract void collectReducedColumns(IColumnContainer container,
                                               java.util.Iterator<IColumn> reducedColumns,
                                               int gcBefore)

  collects columns from reducedColumns into returnCF. Termination is determined by the filter code, which should have some limit on the number of columns to avoid running out of memory on large rows.

### filterSuperColumn

    public abstract SuperColumn filterSuperColumn(SuperColumn superColumn,
                                                  int gcBefore)

  subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.

  Parameters:
    `superColumn` - may be modified by filtering op.

### getColumnComparator

    public java.util.Comparator<IColumn> getColumnComparator(AbstractType comparator)

### collectCollatedColumns

    public void collectCollatedColumns(ColumnFamily returnCF,
                                       java.util.Iterator<IColumn> collatedColumns,
                                       int gcBefore)

### getColumnFamilyName

    public java.lang.String getColumnFamilyName()

### isRelevant

    public static boolean isRelevant(IColumn column,
                                     IColumnContainer container,
                                     int gcBefore)

Copyright © 2010 The Apache Software Foundation